Bullet Collision Detection & Physics Library: ContactRollingFrictionSolverLoop Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ContactRollingFrictionSolverLoop Struct Reference
Inheritance diagram for ContactRollingFrictionSolverLoop:
[legend]
Collaboration diagram for ContactRollingFrictionSolverLoop:
[legend]

## Public Member Functions
| ContactRollingFrictionSolverLoop (btSequentialImpulseConstraintSolverMt *solver, const btBatchedConstraints *bc)
btScalar | sumLoop (int iBegin, int iEnd) const BT_OVERRIDE
Public Member Functions inherited from btIParallelSumBody
virtual | ~btIParallelSumBody ()

## Public Attributes
btSequentialImpulseConstraintSolverMt * | m_solver
const btBatchedConstraints * | m_bc

## Detailed Description

Definition at line 1362 of file btSequentialImpulseConstraintSolverMt.cpp.

## Constructor & Destructor Documentation

## ◆ ContactRollingFrictionSolverLoop()

ContactRollingFrictionSolverLoop::ContactRollingFrictionSolverLoop | ( | btSequentialImpulseConstraintSolverMt * | solver,
|  | const btBatchedConstraints * | bc )
| inline

Definition at line 1367 of file btSequentialImpulseConstraintSolverMt.cpp.

## Member Function Documentation

## ◆ sumLoop()

btScalar ContactRollingFrictionSolverLoop::sumLoop | ( | int | iBegin,
|  | int | iEnd ) const
| inlinevirtual

Implements btIParallelSumBody.

Definition at line 1372 of file btSequentialImpulseConstraintSolverMt.cpp.

## Member Data Documentation

## ◆ m_bc

const btBatchedConstraints* ContactRollingFrictionSolverLoop::m_bc

Definition at line 1365 of file btSequentialImpulseConstraintSolverMt.cpp.

## ◆ m_solver

btSequentialImpulseConstraintSolverMt* ContactRollingFrictionSolverLoop::m_solver

Definition at line 1364 of file btSequentialImpulseConstraintSolverMt.cpp.

The documentation for this struct was generated from the following file:

- btSequentialImpulseConstraintSolverMt.cpp